Subject: [Teas-ns-dt] Comments on definition draft and framework draft

From: Jari Arkko <[email-masked]>
Date: Thu, 19 Dec 2019 16:23:18 +0000

I looked at the draft Shunsuke just sent, and the framework draft that Reza (draft-rokui-5g-transport-slice) had sent earlier.

I think the definition draft has made great progress, thank you! The definition is now cleaner and crisper and free of extra unnecessary parts.

The draft as a whole has improved, although I would say there’s still some parts that would probably be best trimmed out. For instance, there’s a section on slice isolation, but as noted before that concept does not necessarily need to rise above other characteristics, and indeed would be better explained through traditional requirement terms, such as guarantees and dependencies or non-dependencies with other slices. Also, Section 5.1 on characteristics needs expansion and maybe getting to a specific set of characteristics that we want (e.g., superset of characteristics of our initial underlying technologies).

Section 5.2 and 5.3 need to relate somehow to Section 5.1, I think.

Section 5.5 needs to either be defined or taken out.

The definition does not talk about the specifics of endpoints, I think you include p2mp etc?

The framework draft is a good start but needs to be stated in terms of IETF terms and context, not 5G. Also in that draft, minimalism would be key to making progress. Also, the framework draft needs to show the concept of mapping a requirement to existing technologies (with or without amendments of existing data models).

Jari